JPOINT(3L)

NAME
jpoint - draw single pixel on display

SYNOPSIS
#include <dmd.h>

void jpoint (p, f)
Point p;
Code f;

DESCRIPTION
The jpoint function sets the pixel at location p (in window coordinates) in the display bitmap according to the Code f.

EXAMPLE
The following routine can be used to ``doodle'' on the screen.

    #include <dmd.h>
    doodle()
    {
          request (MOUSE);
          for ( ;; ) {
              wait (MOUSE)
              if( button3() )
                 break;
              if( button2() )
                 jpoint (mouse.jxy, F_STORE);
          }
    }

SEE ALSO
globals(3R), point(3R), structures(3R), transform(3R/3L).